<?xml version="1.0" encoding="UTF-8"?>
<jiveFilters>
    <filterClasses>
        <filter0>com.jivesoftware.forum.filter.HTMLFilter</filter0>
        <filter1>com.jivesoftware.forum.filter.Newline</filter1>
        <filter2>com.jivesoftware.forum.filter.TextStyle</filter2>
        <filter3>com.jivesoftware.forum.filter.URLConverter</filter3>
        <filter4>com.jivesoftware.forum.filter.Profanity</filter4>
        <filter5>com.jivesoftware.forum.filter.CodeHighlighter</filter5>
        <filter6>com.jivesoftware.forum.filter.WordBreak</filter6>
        <filter7>com.jivesoftware.forum.filter.ImageFilter</filter7>
    </filterClasses>
    <global>
        <filterCount>8</filterCount>
        <filter0>
            <className>com.jivesoftware.forum.filter.HTMLFilter</className>
        </filter0>
        <filter1>
            <className>com.jivesoftware.forum.filter.Newline</className>
        </filter1>
        <filter2>
            <className>com.jivesoftware.forum.filter.ImageFilter</className>
        </filter2>
        <filter3>
            <className>com.jivesoftware.forum.filter.URLConverter</className>
            <properties>
                <filteringBody>true</filteringBody>
                <filteringSubject>false</filteringSubject>
                <newWindowEnabled>false</newWindowEnabled>
            </properties>
        </filter3>
        <filter4>
            <className>com.jivesoftware.forum.filter.TextStyle</className>
            <properties>
                <boldEnabled>true</boldEnabled>
                <preformatEnabled>true</preformatEnabled>
                <filteringBody>true</filteringBody>
                <underlineEnabled>true</underlineEnabled>
                <filteringSubject>false</filteringSubject>
                <italicEnabled>true</italicEnabled>
            </properties>
        </filter4>
        <filter5>
            <className>com.jivesoftware.forum.filter.Profanity</className>
            <properties>
                <wordList />
                <ignoringCase>true</ignoringCase>
            </properties>
        </filter5>
        <filter6>
            <className>com.jivesoftware.forum.filter.CodeHighlighter</className>
            <properties>
                <stringEnd>&lt;/font&gt;&lt;font size=1 color=black&gt;</stringEnd>
                <reservedWordEnd>&lt;/b&gt;</reservedWordEnd>
                <commentStart>&lt;/font&gt;&lt;font size=1 color="#0000aa"&gt;&lt;i&gt;</commentStart>
                <commentEnd>&lt;/font&gt;&lt;/i&gt;&lt;font size=1 color=black&gt;</commentEnd>
                <stringStart>&lt;/font&gt;&lt;font size=1 color="#00bb00"&gt;</stringStart>
                <reservedWordStart>&lt;b&gt;</reservedWordStart>
            </properties>
        </filter6>
        <filter7>
            <className>com.jivesoftware.forum.filter.WordBreak</className>
            <properties>
                <maxSubjectWordLength>30</maxSubjectWordLength>
                <filteringBody>true</filteringBody>
                <maxBodyWordLength>80</maxBodyWordLength>
                <filteringSubject>true</filteringSubject>
            </properties>
        </filter7>
    </global>
</jiveFilters>

